package javax.swing.text;

import java.awt.Font;
import java.awt.Color;

public interface StyledDocument extends Document
{
    public abstract Style addStyle(String p0, Style p1);
    
    public abstract void removeStyle(String p0);
    
    public abstract Style getStyle(String p0);
    
    public abstract void setCharacterAttributes(int p0, int p1, AttributeSet p2, boolean p3);
    
    public abstract void setParagraphAttributes(int p0, int p1, AttributeSet p2, boolean p3);
    
    public abstract void setLogicalStyle(int p0, Style p1);
    
    public abstract Style getLogicalStyle(int p0);
    
    public abstract Element getParagraphElement(int p0);
    
    public abstract Element getCharacterElement(int p0);
    
    public abstract Color getForeground(AttributeSet p0);
    
    public abstract Color getBackground(AttributeSet p0);
    
    public abstract Font getFont(AttributeSet p0);
}
